#
# spec file for package gnome-packagekit
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gnome-packagekit
Version:        2.32.0
Release:        7.8.1
License:        GPLv2+
Summary:        Applications for the PackageKit API
Url:            http://packagekit.org/
Group:          System/GUI/GNOME
Source:         %{name}-%{version}.tar.bz2
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch1:         gnome-packagekit-OnlyShowIn.patch
#PATCH-FEATURE-OPENSUSE gnome-packagekit-fate302445.patch fate 302445
Patch3:         gnome-packagekit-fate302445.patch
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch5:         gnome-packagekit-BNC383261.patch
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch6:         gnome-packagekit-BNC538353.patch
# PATCH-FIX-UPSTREAM gnome-packagekit-opensuse-libexec.patch bgo#628962 vuntz@opensuse.org -- Use right libexecdir; fix from git
Patch7:         gnome-packagekit-opensuse-libexec.patch
# PATCH-FIX-OPENSUSE gnome-packagekit-gpk-prefs-desktop.patch bnc380665 vuntz@opensuse.org -- Change the name of the gpk-prefs desktop file to not create confusion with gpk-update-viewer. We patch to automatically get the new translation from the po file
Patch9:         gnome-packagekit-gpk-prefs-desktop.patch
# PATCH-FIX-UPSTREAM gnome-packagekit-pack-list-tabs.patch bnc#699181,bgo#653626 glin@suse.com -- Pack the package lists into different tabs so that the window size of the dialog won't become over the screen
Patch10:        gnome-packagekit-pack-list-tabs.patch
BuildRequires:  PackageKit-devel
BuildRequires:  dbus-1-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gconf2-devel
BuildRequires:  gettext-devel
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gnome-menus-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libcanberra-devel
BuildRequires:  libgudev-1_0-devel
BuildRequires:  libnotify-devel
BuildRequires:  libunique-devel
BuildRequires:  libupower-glib-devel
BuildRequires:  sqlite-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
Requires:       gnome-icon-theme
Recommends:     %{name}-lang
Provides:       opensuse-updater-gnome = 0.4.7
Obsoletes:      opensuse-updater-gnome < 0.4.7
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq
%py_requires
%if %suse_version <= 1110
%define python_sitelib %{py_sitedir}
%endif

%description
GNOME PackageKit provides session applications for the PackageKit API.
There are several utilities designed for installing, updating and
removing packages on your system.

%package extras
License:        GPLv2+
Summary:        Applications for the PackageKit API - Extra applications
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}

%description extras
GNOME PackageKit provides session applications for the PackageKit API.
There are several utilities designed for installing, updating and
removing packages on your system.

This package contains tools that provide functionality also provided by
YaST Software Management.

%lang_package
%prep
%setup -q
translation-update-upstream
%patch1 -p1
%patch3 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch9 -p1
%patch10 -p1

%build
#autoreconf -f -i
%configure \
	--disable-scrollkeeper \
        --disable-schemas-install
%__make %{?jobs:-j%jobs}

%install
%makeinstall
%find_lang %{name} %{?no_lang_C}
%find_gconf_schemas
%suse_update_desktop_file gpk-repo
%suse_update_desktop_file gpk-log Settings
%suse_update_desktop_file gpk-update-viewer
%suse_update_desktop_file gpk-application
%suse_update_desktop_file gpk-prefs X-SuSE-ControlCenter-System
# Temporary workaround to not have to own /usr/share/gnome/autostart. Upstream
# will move the file in the right directory.
install -d %{buildroot}%{_sysconfdir}/xdg/autostart
mv %{buildroot}%{_datadir}/gnome/autostart/gpk-update-icon.desktop %{buildroot}%{_sysconfdir}/xdg/autostart
# end of workaround
%suse_update_desktop_file gpk-update-icon
%suse_update_desktop_file gpk-install-file
%suse_update_desktop_file gpk-install-catalog
%suse_update_desktop_file gpk-service-pack
mkdir %{buildroot}%{_prefix}/sbin

%clean
rm -rf %{buildroot}

%pre -f %{name}.schemas_pre

%post
%desktop_database_post
%icon_theme_cache_post

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%postun
%desktop_database_postun
%icon_theme_cache_postun

%post extras
%desktop_database_post

%postun extras
%desktop_database_postun

%files -f %{name}.schemas_list
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/%{name}/
%doc %{_datadir}/gnome/help/%{name}/C/
%dir %{_datadir}/omf/
%dir %{_datadir}/omf/%{name}/
%doc %{_datadir}/omf/%{name}/%{name}-C.omf
%{_bindir}/gpk-backend-status
%{_bindir}/gpk-dbus-service
%{_bindir}/gpk-install-catalog
%{_bindir}/gpk-install-local-file
%{_bindir}/gpk-install-mime-type
%{_bindir}/gpk-install-package-name
%{_bindir}/gpk-install-provide-file
%{_bindir}/gpk-prefs
%{_bindir}/gpk-update-icon
%{_bindir}/gpk-update-viewer
%{_datadir}/applications/gpk-install-catalog.desktop
%{_datadir}/applications/gpk-install-file.desktop
%{_datadir}/applications/gpk-prefs.desktop
%{_datadir}/applications/gpk-update-viewer.desktop
%dir %{_datadir}/gnome-packagekit
%{_datadir}/gnome-packagekit/gpk-backend-status.ui
%{_datadir}/gnome-packagekit/gpk-client.ui
%{_datadir}/gnome-packagekit/gpk-error.ui
%{_datadir}/gnome-packagekit/gpk-eula.ui
# gpk-log.ui is actually used by other apps
%{_datadir}/gnome-packagekit/gpk-log.ui
%{_datadir}/gnome-packagekit/gpk-prefs.ui
%{_datadir}/gnome-packagekit/gpk-signature.ui
%{_datadir}/gnome-packagekit/gpk-update-viewer.ui
%{_datadir}/gnome-packagekit/icons/
%{_datadir}/dbus-1/services/org.freedesktop.PackageKit.service
%{_datadir}/icons/hicolor/*/apps/gpk-*.*
%{_datadir}/icons/hicolor/*/mimetypes/application-*.*
%{_sysconfdir}/xdg/autostart/gpk-update-icon.desktop
%{python_sitelib}/packagekit

%files lang -f %{name}.lang

%files extras
%defattr(-, root, root)
%{_bindir}/gpk-application
%{_bindir}/gpk-log
%{_bindir}/gpk-repo
%{_bindir}/gpk-service-pack
%{_datadir}/applications/gpk-application.desktop
%{_datadir}/applications/gpk-log.desktop
%{_datadir}/applications/gpk-repo.desktop
%{_datadir}/applications/gpk-service-pack.desktop
%{_datadir}/gnome-packagekit/gpk-application.ui
%{_datadir}/gnome-packagekit/gpk-repo.ui
%{_datadir}/gnome-packagekit/gpk-service-pack.ui

%changelog
* Mon Jul  4 2011 glin@suse.com
- Add gnome-packagekit-pack-list-tabs.patch: fix the oversized
  dialog. bnc#699181,bgo#653626
* Sun Feb 13 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Tue Dec 14 2010 vuntz@opensuse.org
- Own /usr/share/gnome and /usr/share/gnome/help to fix build.
* Thu Oct  7 2010 vuntz@opensuse.org
- Update gnome-packagekit-opensuse-libexec.patch to the patch
  committed to git.
* Mon Sep 27 2010 vuntz@opensuse.org
- Update to version 2.32.0:
  + Ensure we reset the GCancellable before doing each async method
  + Make apply button insensitive while applying
  + When showing the dep dialog, allow the addition packages to
    scroll horizontally. Fixes rh#585554
  + Updated translations.
* Wed Sep 22 2010 vuntz@opensuse.org
- Move gpk-log to the extras subpackage: it's not really useful by
  default, for users.
- Make the extras subpackage require the same version of
  gnome-packagekit.
* Fri Sep 17 2010 vuntz@opensuse.org
- Update to version 2.31.92:
  + Add required compat defines for PackageKit < 0.6.5. Fixes
    fdo#30139
  + Convert to using libupower-glib, rather than
    devkit-power-gobject
  + Fix an update viewer crash if the GetUpdates call produced any
    messages
  + Fix the gpk-application GetDepends and GetRequires calls
  + Only disable deprecated code for --enable-strict builds
  + Updated translations.
- Change DeviceKit-power-devel BuildRequires to
  libupower-glib-devel.
* Tue Sep  7 2010 vuntz@opensuse.org
- Add gnome-packagekit-opensuse-libexec.patch to use the right path
  for libexecdir in openSUSE when checking if a binary is trusted.
* Wed Sep  1 2010 vuntz@opensuse.org
- Update to version 2.31.91:
  + New Features:
  - Show a GtkInfoBar explaining if updates have been held back
    and an incomplete update list is shown
  + Bugfix:
  - Fix the .desktop files
  - Mark "_Install Update(s)" string as translatable
  - Mark items in the Selection menu translatable
  + Updated translations.
- Rebase gnome-packagekit-gpk-prefs-desktop.patch.
* Mon Aug  9 2010 vuntz@opensuse.org
- Update to version 2.31.6:
  + Nuke the '7 messages from the package manager' functionality
  + When the icon gets UpdatesChanged then hide until the new
    GetUpdate is complete as the information is likely inaccurate
  + Updated translations.
- Changes from version 2.30.3:
  + Ensure we wait for the users response when an application uses
    InstallMimeTypes. Fixes #28323
  + Fix an important bug that stopped GetUpdates from working
    correctly. Fixes rh#615099
  + Ignore message types we do not recognize. Fixes rh#575669
  + Ensure files created with gpk-service-pack do not have ';' in
    them
  + Save the package lists to the specified directory, not the
    system default. Fixes rh#609531
  + Ensure we reset the UI to sensitive after creating the system
    package list
  + Use the correct URL in the about dialog to fix an error. Fixes
    rh#598261
  + Only mark the find button sensitive if we have valid text _and_
    are not searching. Fixes rh#602422
  + Fix default value of ignored_messages key
  + Fix crash in gpk-dbus-service when looking for printer drivers
  + Updated translations.
- Rebase gnome-packagekit-BNC538353.patch.
- Drop gnome-packagekit-fix-default-ignored_messages.patch: fixed
  upstream.
- Drop gnome-packagekit-crash-install-print-driver.patch: fixed
  upstream.
* Tue Jun 29 2010 vuntz@opensuse.org
- Add gnome-packagekit-gpk-prefs-desktop.patch to change the name
  of the "Software Update" menu entry: this makes it possible to
  get the translations from the po files during the build, while
  suse_update_desktop_file requires manual translations by openSUSE
  translators, which is duplicate work.
* Fri Jun 18 2010 dimstar@opensuse.org
- bnc#380665 - Rename one of the "Software Update" menu entries to
  "Software Update Preferences".
- Split out an -extras package which contains GUI frontends to
  functionality that openSUSE provides in YaST Package Management.
  Have -extras Require gnome-packagekit.
* Thu Jun 17 2010 vuntz@opensuse.org
- Add gnome-packagekit-crash-install-print-driver.patch to fix a
  crash when looking for printer drivers. Fix bnc#614774.
* Fri Jun  4 2010 vuntz@opensuse.org
- Update to version 2.30.2:
  + Always show the search type menu icons. Fixes rh#530595
  + Ignore other-updates-held-back messages by default
  + Ignore repo-metadata-download-failed messages by default
  + Fix up a crash where installing a file failed. Fixes rh#586414
  + Fix compile with -Wshadow
  + Do not set the Add/Remove search to name but instead use the
    GConf defaults
- This update fixes the search that is too strict by default,
  bnc#597772.
- Add gnome-packagekit-fix-default-ignored_messages.patch to fix
  the default value of the ignored_messages key. See bgo#620524.
* Sun May 23 2010 vuntz@opensuse.org
- Update gnome-packagekit-fate302445.patch: we shouldn't look for
  /usr/share/applications/YaST2/suse_register.desktop to decide
  whether to run smolt or not. The check for
  /var/run/smolt_do_opensuse_run and smoltGui should be enough.
  Fix bnc#607132.
* Thu Apr 29 2010 dimstar@opensuse.org
- Update to version 2.30.1:
  + Ensure the session UI always shows a package name rather than
    a package-id
  + Ensure we process font requests by correctly processing the
    session ignore blacklist
  + rh#581682: Fix a crash where the desktop file that was
    installed has no root directory
  + Set the cancel button to be initially insensitive
  + rh#531878: Use GIO to launch the desktop file application after
    it is installed
  + Use /proc/%%i/exe instead of cmdline when getting the exec of a
    sender
  + Zero the size value when the package finished signal is
    recieved
  + Updated translations.
* Mon Mar 29 2010 vuntz@opensuse.org
- Update to version 2.30.0:
  + New Features:
  - Allow the user to select the GPG key information to be able
    to verify it
  - Use libunique to ensure we only ever have one update icon
    running in the session
  + Bugfix:
  - Added and updated screenshots
  - Check if we got an invalid pixbuf to prevent a crash
  - Ensure we close the previous dialog before we show an error
    dialog. Fixes rh#569842
  - Ensure we remove the timeout source of the auto-closing
    dialogs. Fixes rh#570436
  - Fix the error when the user clicks the about menu item
  - Fix the second install in gpk-update-viewer when a backend is
    reporting detailed errors
  - Fix checking for updates every day when the user had
    specified 'Never'. Fixes rh#544573
  - Hide the update icon when all updates are blocked
  - Mark a few menu items translatable
  - Use gtk_buildable_get_name() rather than
    gtk_widget_get_name()
- Rebase gnome-packagekit-fate302445.patch.
- Rebase gnome-packagekit-BNC383261.patch.
* Wed Mar 24 2010 vuntz@opensuse.org
- Update to version 2.29.91:
  + New Features:
  - Add InstallPrinterDrivers into the session API
  + Bugfixes:
  - Do not assume that we are just installing when we get the
    simulate request
  - Do not schedule a refresh-cache if one is already waiting
  - Do not show '0 bytes' in the confirmation dialog, just show
    the message title
  - Do not show the list of packages in the updates-available
    bubble. Fixes bgo#609233
  - Ensure parent window is set modal when installing packages
    with deps using the DBus interface. Fixes rh#566741
  - Fix an infinite loop in
    gpk_update_viewer_are_all_updates_selected()
  - Fixed incorrect use of g_ascii_strdown
  - If we failed to update the system, wait a lot longer than two
    seconds before we try again
  - Read the PkClient error code enum and try to map it to a
    PkErrorEnum code
  - Return TRUE when InstallPackageFiles succeeds
  - Use correct provides tag for postscriptdriver what-provides
    query
- Add libgudev-1_0-devel BuildRequires.
* Fri Feb 12 2010 vuntz@opensuse.org
- Move the change of gconf schema in gnome-packagekit_release.patch
  to the gconf2-branding package, and rename
  gnome-packagekit_release.patch to
  gnome-packagekit-OnlyShowIn.patch.
- Drop gnome-packagekit-BNC542819.patch: the logic for patch based
  updates should be done in PackageKit itself now.
* Thu Feb 11 2010 vuntz@opensuse.org
- Update to version 2.29.3:
  + New Features:
  - Remove the 'Install only security updates' button from the
    security updates popup and open the update viewer instead
  - Show transaction messages in gpk-repo
  - Show the size of the extra packages that need to be
    downloaded as deps
  - Filter by the timespec in gpk-log, not the localised date.
    Fixes rh#544667
  - Show internal errors with modal dialogs, rather than just
    failing quietly with an error on stderr
  - Nest child updates in the update viewer so we don't show the
    same update description multiple times
  + Bugfix:
  - Fix menu entry capitalisation in gpk-application
  - Make the security update notification dialog timeout after 15
    seconds
  - Ensure we detect and use x11 to fix the compile when linking
    with --as-needed
  - Actually cancel the transaction when the GpkWatch cancel
    button is pressed
  - Process every transaction finish, even if we're not watching
    it
  - Only wait 3 seconds (not 60) when we get the updates changed
    signal
  - Re-get the update list in the update viewer if the network
    state changes. Fixes rh#543871
  - Fix two potential crashers when gpk-update-viewer has
    finished applying updates
  - Don't hide the restart status icon just because the daemon
    exited. Fixes rh#553966
  - Fix some i18n bugs. Fixes bgo#606629
- Update to version 2.29.2:
  + New Features:
  - Ensure the gpk-update-icon service is running by activating
    it if somebody uses the interface. Fixes rh#548095
  - Split up the DBus interface part of gpk-update-icon into an
    session-activated gpk-dbus-service binary
  + Bugfix:
  - Check the GpkDbusTask object only replies once to each
    session request
- Update to version 2.29.1:
  + New Features:
  - Convert all the client applications to use packagekit-glib2
  - When the update viewer is no longer being shown, force an
    update of the updates
  - Remove a lot of the helpers and create a GpkTask module that
    implements PkTask to handle the transaction interactions
  - Use a GtkInfoBar to display the mobile broadband warning, not
    a modal dialog box
  - Add RemovePackageByFile() to match the API provided by
    KPackageKit
  - Format the dates in the update viewer according to the users
    locale. Fixes bgo#601493
  - Add a GConf key to add program exec names to ignore all DBus
    requests from. Fixes rh#501023
  - Make the update viewer cope with multiple packages
    downloading at the same time
  - Add a new GConf key to control whether we show all packages
    in the add/remove UI
  + Bugfix:
  - Fix thinko in spinner cell renderer's rendering
  - Fix duplicate mnemonics in menu. Fixes bgo#601581
  - Use the correct show-confirm key when installing a font
  - Some more fixes to the session interface
  - Don't escape the desktop summary in the run dialog. Fixes
    bgo#596010
  - Ignore cleanup and finished packages when we a simulating a
    remove or install
  - Never show the role text in the GpkWatch tooltip
  - Only show 'and n other security updates when there are other
    updates to list. Fixes rh#527149
  - Don't show 4Gb as the file size when we actually get -1,
    meaning percentage unknown
  - Use seporate messages when we've finished installing all or
    some of the updates
  - If command line contains (deleted) the original binary is
    invalid, and don't show it in the UI. Fixes rh#524873
  - Don't show finished tasks in the menu dropdown
  - Run the gpk-install-foo helpers with interaction
    'hide-finished,hide-warnings' as we are handling failure
  - Check we're not already doing GetUpdates or GetDistroUpgrades
    before we try to do the action
  - Ensure we use the progress callback to update the UI when
    processing session DBus requests
  - Use the desktop icon when we unselect the installed
    application in gpk-application. Fixes fdo#25098
- Rebase gnome-packagekit-fate302445.patch.
- Rebase gnome-packagekit-BNC383261.patch.
* Tue Dec  8 2009 dimstar@opensuse.org
- Update to version 2.28.2:
  + Don't cache the length of the deps array if we are removing
    items from it
  + rh#530595 - Always show the search type menu icons
  + Remove the original package from the dep-confirmation screen
  + Ignore generic errors such as 'Failed' and do not show UI in
    this case
  + Only wait 3 seconds (not 60) when we get the updates changed
    signal
  + fdo#25098 - Use the desktop icon when we unselect the installed
    application in gpk-application
  + Updated translations.
* Sat Nov 14 2009 vuntz@opensuse.org
- Update to version 2.28.1:
  + Fix thinko in spinner cell renderer's render
  + Don't escape the desktop summary in the run dialog. Fixes
    bgo#596010
  + Simulate removal for PackageKit >= 0.5.2 to fix removing
    packages
  + Ignore cleanup and finished packages when we a simulating
    remove or install
  + If command line contains (deleted) the original binary is
    invalid. Fixes rh#524873
  + Never show the role text in the GpkWatch tooltip
  + Only show 'and n other security updates' when there are no
    updates to list. Fixes rh#527149
  + Run the helpers with interaction 'hide-finished,hide-warnings'
    as we are handling failure
  + Don't show the the 'all updates installed' dialog if we've just
    shown the restart required dialog
  + Dont segfault if error_local is not set
  + Call gpk_dbus_task_install_files when installing local files
  + Updated translations.
- Drop gnome-packagekit-BNC543595.patch: fixed upstream.
* Sat Oct 10 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Only show installing and updating packages in the
    GpkHelperDepsUpdate UI
  + fdo#23888 - Add a --enable-small-form-factor which disables the
    auto-maximise code by default
  + Connect to the correct signal name for gnome-session idle
    detection
  + Updated translations.
* Thu Oct  8 2009 sreeves@novell.com
- Fix bnc#543595 - install local files.
* Wed Sep 30 2009 sreeves@novell.com
- Fix for bnc#542819 - update dependencies failure
* Fri Sep 25 2009 sreeves@novell.com
- Fix for bnc#538353
* Thu Sep 10 2009 vuntz@opensuse.org
- Update to version 2.27.92:
  + New Features:
  - Add simulation of installed files if the backend support it
  + Bugfix:
  - Fix the help buttons
  - Don't show duplicate package names in the reboot tooltip
  - Fix a typo where the codec dialog would have no text
  - Fix small memory leak and possible crash in the firmware code
  - Fix a possible crash if X is misbehaving
  - Fix a possible crash in the service pack code
  - String fixes.
  - Build fixes.
  + Updated translations.
- Changes from version 2.27.91:
  + New Features:
  - Show the notifications pointing at the status icon when
    possible
  - Watch /dev/.udev/firmware-missing for changes so we pick up
    hotplug requests too
  - Add the pk-device-rebind functionality to replug hardware
  + Bugfix:
  - Wrap license in about dialogue
  - Remove markup from .ui files
  - Add accelerator. Fixes bgo#590999
  - Only return the newest packages for mime, fonts and codec
    helpers. Fixes rh#514879
  - Only install the newest native-arch package when using the
    session methods. Fixes rh#509569
  - Don't show a modal dialog when the user cancels the file
    install
  - Egg update to fix compile on FreeBSD
  - Reduce in weight X-GNOME-Autostart-Phase desktop files
  - Ignore hidden desktop files when we show the list of new
    applications
  - Only run the update if the dep check was successful
  - Don't show the auth-failure dialog in the update viewer
  - Show errors when using the firmware client
  - Add CanStop and CanRestart methods on the ConsoleKit helper
  - Never use a title on a modal error dialog
  - Check in more places if a user is able to restart
  - Add application/x-deb to the list of files we try to open
  - Improve the firmware code when multiple devices are
    requesting the same files
  - Resize the deps list in a better way. Fixes rh#517662
  - Don't show a single menu item for the left click on the
    updates star
  - Only show the on-battery warning only if we would have
    performed the update
  - Don't allow double click on a help item. Fixes rh#518854
  - Change the firmware 'Do not show again' to a 'Ignore devices'
    button
  + Updated translations.
- Drop gnome-packagekit-XGetWindowProperty.patch: upstream has
  changed the code and the original issue shouldn't be there
  anymore.
- Respin gnome-packagekit-BNC383261.patch.
* Mon Aug  3 2009 vuntz@novell.com
- Update to version 2.27.5:
  + New Features:
  - Port all the code to using PolicyKit1 rather than PolicyKit
  - Reduce the size displayed as the package is downloaded in the
    update viewer
  - Scroll to the package being processed in the update list.
    Fixes rh#510984
  + Bugfix:
  - Don't unconditionally force on NEWEST filtering in the update
    viewer
  - Fix compile with old versions of PackageKit
  - Fix up few translations to include trailing full stop. Fixes
    fd#22745
  - Don't do the update check as soon as the UpdatesChanged
    signal is recieved
  - Don't flash the gpk-repo UI when we enable or disable repos.
    Fixes half of rh#510730
  - Check the language tags before trying to parse them. Fixes
    fd#22792
  - Ensure we re-set the proxy when packagekitd re-appears on the
    bus
  - When doing queries automatically, don't spam them with
    locking failure messages. Fixes gnome#588698
  - Build a private library and link that to reduce the size of
    the package by 300kb
  - Don't set the package view insensitive when doing searches,
    and add a delay to prevent flicker. Fixes rh#510730
  - Make some of the libnotify bubbles more sane
  - Don't show (0) in the update viewer if there is nothing to
    download
  - Don't show the 'Update System Now' link in the update
    dropdown, the user should use the update viewer
  - Add in different translations for encode, decode and unknown.
    Fixes rh#497737
  - Make the arch filter a single tickbox, not an option group
  - Don't print the package list when we have a RestartRequired
    of a security type
  - Add some missing punctuation in some of the restart strings
  - Reduce the size of two of the messagebox titles
  - Add a 'Selected packages' group in add/remove programs like
    kpackagekit
  - Use the correct icon in the panel when restarts are required
  - Actually make the gnome-session code work by using the
    correct callback signatures
  - We don't require DeviceKit, so don't check for it. Fixes
    bgo#590157
  - Only return the newest packages for mime, fonts and codec
    helpers and to perhaps fix rh#514879
  + Updated translations.
- Respin gnome-packagekit-BNC383261.patch.
- Respin gnome-packagekit-fate302445.patch.
- Drop DeviceKit-devel and PolicyKit-gnome-devel BuildRequires.
* Wed Jul 29 2009 vuntz@novell.com
- Update to version 2.27.3:
  + New Features:
  - Add a link to gpk-log in gpk-application
  - Enable nice build output on automake1.11
  - Enable the warning GSEAL_ENABLE and fix up build failures
  - Check for dependancies before downloading updates in the
    update viewer
  - Add --parent-window options to the client tools so they are
    set transient in gpk-application
  + Bugfix:
  - Include <locale.h> in gpk-update-viewer.c
  - Use gtk_show_uri instead of deprecated gnome-open
  - Don't use English enumerated values in GConf, instead use
    seconds
  - Check packages content-type before sending them to the daemon
  - Add a tooltip to the package entry box in the service pack
    creator
  - Fix a double free when we fail to find packages
  - Show normal updates in the update viewer severity column
  - Populate the manpage package names correctly
  - Force intltool to recognise .ui files as gettext/glade files
  - Set the GpkHelperRun window to be modal. Fixes rh#506010
  - Connect to gnome-session to get the idle status, not
    gnome-screensaver
  - Don't show a generic icon when we have messages
  - Get rid of the 'Display Notification' section in the
    preferences pane
  - Don't try to update previously added deps to be installed in
    the update viewer
  - Fix mnemonic conflict in gpk-application
  - When the user clicks hide, do so until the session is
    restarted. Fixes rh#507062
  - Move a few GConf keys to the correct places
  - Add preference to be able to see every PackageKit
    transaction, even if it's active
  - Don't ignore the user pressing escape to dismiss a
    GpkHelperChooser
  - Use small form factor mode when the window is nearly as big
    as the display
  - Don't use a large package screen on notebooks with small
    displays
  - Use the newest filter by default in the update viewer. Fixes
    rh#508505
  - Use better wording when a package sent RequireRestart
  - Don't include the size column in the Status column. Fixes
    rh#509067
  - Run all the packages after install, not just the selected
    package
  - Clear the run list when we setup a new GpkHelperRun. Fixes
    fd#22489
  - Use a PkPackageList in gpk-appliction to store the package
    list
  - If the use has set get-updates policy to never, then ignore
    updates-changed events. Fixes rh#509104
  - Fix up a translation string. Fixes fd#22623
  - Don't connect to key press _and_ release in gpk-log. Fixes
    rh#509636
  + Updated translations.
- Add py_requires.
- Do not package omf files twice.
- Pass --disable-schemas-install to configure.
* Sat Jun 13 2009 sreeves@novell.com
- Update to version 2.27.2:
  + New Features:
  - Replace GpkCellRendererProgress with GpkCellRendererSpinner
    in the update viewer
  - Set a busy cursor in the update viewer when the transaction
    is not cancellable
  - Warn when we use the update viewer when on mobile broadband
  - Remove libsexy requirement, and raise our GTK+ dep to 2.15.0
  - Raise our dep on GIO to 2.18.0
  - Add a hard dep on libunique 1.0.0
  - Remove the old update viewer, and rename gpk-update-viewer2
    to gpk-update-viewer
  - Convert glade files into GtkBuilder files, and drop the
    libglade dep completely
  - Remove the legacy org.freedesktop.PackageKit session
    interface
  - Use PkClient rather than GpkClient in gpk-application
  - Add UI helpers for media changing
  - Add media change functionality into gpk-application
  - Remove GpkClient and move to a 99%% asyncronous model of
    operation
  - Add DOAP project description
  + Bugfix:
  - Use the busy cursor when we are in a transaction, not just
    when we cannot cancel
  - Make the install button the default widget in the update
    viewer
  - Make typeahead search work in the update list
  - Add a silly hack until we get some metadata about animated
    icon sizes
  - Only get the distro upgrades in the update viewer if we
    support it
  - Make the tooltip past and present tense in the update viewer,
    and also add a downloaded icon
  - When we launch the update viewer manually, ensure we set the
    title text correctly
  - Allow the user to resize the gpk-log dialog. Fixes rh#493934
  - Do the find callback when we paste text into the add-remove
    software window. Fixes rh#492160
  - If we have force-login set to true, never repeat the startup
    check even if it fails
  - Don't show cancel and close in the update viewer
  - Preload all the common GConf keys in the update icon
  - Never show the checkbox for the search welcome. Fixes
    rh#496024
  - Add a commits file taken from Nautilus, and autogenerate the
    ChangeLog
  - Denote the size column in the update viewer to belong to the
    status column
  - Set the size value to zero when we get an info update
  - Add a completed modal dialog at the end of a successful
    update, rather than just quitting
  - Show the package name in the repo-signature dialog. Fixes
    fd#21236
  - Use libcanberra to do event sounds when we succeed in doing
    an update
  - Don't re-get the update list after a failed install, just
    undisable the checkboxes. Fixes rh#496870
  - Enable autocode for compiler defines in the markdown parser.
    Fixes rh#497162
  - Only select the package item after all the results have
    appeared
  - Add another helper to cope with deps from the update process
  - Don't inhibit to gnome-power-manager, use gnome-session
  - Use DeviceKit-power rather than gnome-power-manager to get
    the on-battery status
  - Pop up a modal dialog if any of the methods in
    gpk-install-foo fail. Fixes rh#500237
  - Provide some #ifdef compatibility so that git master GPK can
    build with >= 0.4.4 PK
  - Export InstallCatalogs on the session bus. Fixes rh#502562
  - Don't show a long list of packages in the catalog install
    screen, instead use a scrollable package list
  - Refresh the system package list if it does not exist in the
    service pack creation tool. Fixes rh#502589
  - Remove GpkSmartIcon and use GpkStatusIcon directly
  - Only show the monitor icon when the task is no longer
    connected to the bus but running
  - Inhibit the icon in GpkCheckUpdate rather than having
    last-set policy. Fixes rh#492005
  - Add a loading string when loading details in the update
    viewer
  - Fix the window icon, title, and some inconsistent text in the
    update viewer
  - Don't critically warn when we have no packages selected after
    install
  + Updated translations.
- Rewrite gnome-packagekit-BNC383261.patch to apply to the new
  layout of 2.27.2
- Add DeviceKit-devel, DeviceKit-power-devel, libcanberra-devel,
  libunique-devel BuildRequires.
- Remove libglade2-devel BuildRequires.
* Wed Apr 29 2009 vuntz@novell.com
- Do not explicitly specify the path to the gconf schemas in the
  file list, and instead use the list that was generated with the
  gconf macros.
* Sat Apr  4 2009 vuntz@novell.com
- Update to version 2.27.1:
  + New Features:
  - Switch gnome-packagekit to the GNOME release guidelines and
    version numbers
  - Provide tooltips for the icons in the new update viewer
  - Add a new menu item 'Select security updates' to the new
    update viewer. Fixes rh#491713
  - Hide the update icon notification when the update viewer is
    opened
  - Switch the default update viewer to gpk-update-viewer2
  + Bugfix:
  - Fix some window icons in gpk-repo
  - Don't set the default widget to the install button when we
    reconsider. Fixes rh#492645
  - Don't scroll to the downloading object.
  - Fix the MimeType entry of gpk-install-catalog.
    Fixes rh#489473
  - Set an icon for gpk-backend-status. Fixes fdo#20681
  - Make gpk-application file list resizable, and a good default
    size. Fixes rh#490334
  - Don't use newline as a paragraph spacer in the Markdown
    parser
  - The changelog data is markup formatted, so use the markdown
    parser before displaying
  - Don't escape markdown code sections, and enable autocode for
    certain special words
  - Make the new update viewer respond to
    PkControl::updates-changed and update the update list
  - Set an initial size of the update viewer using
    gpk_window_set_size_request. Fixes rh#491422
  - Wrap the header text to allow the new update viewer to be
    made much smaller
  - Don't resize the main window when no updates are available,
    use a modal window. Fixes rh#491708
  - If the new update viewer is running in a transaction when
    it's closed, just hide the window
  - Don't set the model with finished, as working round it in the
    CellRenderer breaks things
  - Allow gpk-update-icon to be run in XFCE. Fixes rh#491104
  - Set the update viewer title properly when there are no
    updates. Fixes rh#492096
  - After we've applied updates, close the UI rather than getting
    the new update list. Fixes rh#491710
  + Updated translations.
* Mon Mar 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Wed Mar 11 2009 mboman@suse.de
- Update to version 0.4.5:
  + New Features:
  * Merge in a new update viewer with a very different UI
  + Bugfix:
  * Allow markup in the error dialog message
  * Disable the polling in GpkAnimatedIcon if the widget is
    disabled
  * Don't check for local for all the GUI tools, so we can use
    vncviewer
  * Correct some of the strings we show the user about the
    restart mode
  + Translation updates
- Removed gnome-packagekit-fate303359.patch as per bnc#440498 (it
  was not applied anyway)
- Remove BuildRequires cairo-devel and gtk-doc
- Don't use autoreconf
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 0.4.4:
  + Small improvement on PK_ROLE_ENUM_SEARCH_DETAILS
  + Fix compile failure with gcc-4.4.0 and old versions of glib2
  + Correct the specification in that we shouldn't send the provide
    name encoded with the provides prefix, as this is distro
    specific
  + Don't show the filter UI when we offer applications to install
  + Bump the required version of PackageKit to 0.4.4 now we are
    turning on lots of compiler warnings
  + Use GTK 2.15.x new GtkEntry features to remove dep on libsexy
  + Fix infinite recursion when we try to format invalid markdown.
    Fixes rh#486334
  + Provide a GConf key to allow ignoring some daemon messages
  + Change the update viewer UI to be 'Ignore this update' not
    'Ignore this package'
  + When we loose network and have updates, hide the icon as we
    can't do the updates
  + Updated translations.
- Remove BuildRequires: libsexy-devel.
* Fri Feb 13 2009 vuntz@novell.com
- Update gnome-packagekit-fate302445.patch to fix compilation.
- Drop changes that were not done in GNOME:Factory and that were
  not needed anymore.
* Fri Feb 13 2009 ro@suse.de
- do not define GTK_DISABLE_DEPRECATED to fix build
* Tue Feb 10 2009 vuntz@novell.com
- Remove non-upstream translations: they'll get out-of-date.
* Wed Feb  4 2009 mboman@suse.de
- Update to version 0.4.3:
  + New Features:
  * Don't spam the user with PackageManager messages, queue them
    and show another menu item on the info status icon
  + Bugfix:
  * Fix typo in Russian translation. Fixes rh#481479
  * Don't infer precision we don't have when printing an
    estimated time
  * Make sure we set the icon and text of the client dialog after
    setup is called, not before. Fixes rh#480908
  * Stop abusing a PkPackageList as a list to store package_id's,
    as the PkInfoEnum changes when we do a filter change.
    Fixes rh#481123
  * Reset the client when we monitor a tid, else we ignore the
    second request when the fist is running
  * When the user switches the task to monitor, re-use the
    existing monitor rather than using a new window. Fixes half
    of rh#481293
  * Disable the 'Apply updates' button when none are selected.
    Fixes fd#19779
  * Ensure we select the first entry in the details treeview
    after we've got the update list. Fixes fd#19780
  * We don't use a PkControl action in gpk-update-viewer
    anymore, use the GpkClient cancel method
  * Hook up the distro upgrade notification actions
  + Translation updates
* Mon Feb  2 2009 mboman@suse.de
- Update to version 0.4.2:
  + New Features:
  * Show the remaining time in the client UI if it's available
  + Bugfix:
  * Don't retry a policy action if the previous one failed
  * Drop obsolete InstallPackageNames definition
  * Use gtk_window_set_default_size() to set the window size so
    the user can still resize it a little
  * Reduce the weight of autostart desktop files to avoid showing
    hidden entries in the run dialog
  * Allow pattern matches in the banned firmware list
  * Add intel microcode to the banned firmware list
  * Lots of translation bugfixes. Fixes bgo#19564
  * Show the package that caused the restart required signal in
    the icon tooltip
  * Add a keyboard shortcut to the 'Continue Anyway' button when
    running an application as root. Fixes fd#19595
  * Clear the 'updates are being installed' notification if the
    update finishes before the notification times out. Fixes
    bnc#407347
  * Use scrollbars in the description, and set the hbox to a
    fixed size to avoid flicker. Fixes fd#19633
  * Increase the anti-flicker timout when getting the package
    details to prevent flicker when scrolling through packages
  * Call gpk_check_privileged_user in the update viewer
  * Dont reference already freed pointer when help is not
    installed
  + Translation updates
* Mon Feb  2 2009 vuntz@novell.com
- Move the autostart desktop file to /etc/xdg/autostart
* Mon Jan 12 2009 mboman@suse.de
- Update to version 0.4.1:
  + Add an option to the prefs dialog to prevent checking for
    updates when using mobile broadband connections
  + Allow the admin to restrict getting updates when on WiFi
    connections
  + Set the default search mode to details (not name) and preserve
    the search type in GConf if changed in the UI
  + Add a simple markdown parser
  + Add dbus_default_interaction and dbus_enforced_interaction
    GConf keys and some documentation
  + Send different errors when we fail a method on session DBus
    interface
  + Support setting timeouts via the interaction mode from DBus
    interface
  + Add quit and contents accelerators in gpk-application
  + Define a macro directory so we work with newer versions of
    libtool
  + Make the confirm interaction more granular
  + When the restart mode is session then offer logout, rather than
    restart. Fixes RH#475781
  + We should do idle network actions on ONLINE (wireless or
    unknown) and FAST (ethernet)
  + Use the markdown parser in gpk-application and
    gpk-update-viewer
  + Don't keep spinning the animation if the backend fails to send
    an update detail signal
  + Put the security updates in an array before we show the
    notification else the number on the session critical
    notification is wrong
  + Output update descriptions with valid escaping to fix some
    descriptions
  + Fix a crash in gpk-application when doing run multiple times
  + Make error dialog resizable when error details are being shown.
    Fixes RH#478378
  + Allow copy pasting of the update text in the update viewer
  + Translation updates
* Mon Jan 12 2009 sreeves@suse.de
- Move to 0.3.13 - Bugfix only release
  + Add quit and contents accelerators in gpk-application
  + Correct the number of critical updates on the notification
  + Don't keep spinning the animation if the backend fails to
    send an update detail signal
- Update translations from lcn.
* Sat Jan  3 2009 mboman@suse.de
- Update to version 0.4.0:
  + Add InstallFonts to the session DBUS interface
  + Add a key to gnome-settings-daemon GConf so we can load the gtk
    module
  + Add a fontconfig dep for the new font code
  + Show the menu path in Add/Remove programs when we install new
    software
  + Add two prototype interfaces to make the session interface more
    sane
  + Fix the self tests in GpkCommon
  + Set the dialog type up in a setup function, and then present it
    like a normal
  + window -- fixes funny icons in different places
  + Don't clear the list in gpk-repo when the list is refreshed,
    just update it in place.
  + Use the same approach in gpk-log. Fixed first part of fd#18733
  + Convert the iso639 language codes to localised language names
  + Add ISO639-2B language names to the language hash also
  + Don't emit a critical warning if the desktop file contains
    invalid markup
  + Set an interaction mode in gpk-application when we refresh the
    package lists to avoid getting an empty window
  + Set the run window modal over the parent window to fix
    rh#475046
  + Translation updates
- Remove gnome-packagekit-UI-polish.patch. Fixed upstream
* Tue Dec  9 2008 sreeves@suse.de
- Move to 0.3.12 - Bugfix only release
    Fix to show the force install button on unsigned dialog
    Fix for BNC#450185 - abort on small form factor mode
    Fix for BNC#457803 - respect the force_get_updates_login flag
    Set an interaction mode in gpk-application to avoid an empty
    window
  Add YaST option on dependency failures to fix BNC#383261
* Tue Dec  9 2008 schwab@suse.de
- Fix use of XGetWindowProperty.
* Mon Dec  1 2008 sreeves@suse.de
- Fix for BNC #450105 - don't run smolt until it's updated.
* Mon Nov 24 2008 sreeves@suse.de
- Match PackageKit version 0.3.11
  Pull in updated translations (.po)
* Fri Nov 21 2008 sreeves@suse.de
- Fix memory leaks with combined translatable strings not freed
    Unfortunately means a string change.
  Fix crash if users installs two bits of software and runs neither of them
  Ensure that libnotify is init before use
  Ensure we set the GpkClientDialog properly when doing a repo signature
  Add prefix to notifications so users know where they came from
  Match PackageKit version 0.3.10
    Fix showing non local warning on terminal client
  Roll in updated .po translations from lcn.
* Fri Nov  7 2008 sreeves@suse.de
- Translation fixes
    Mark existing strings that were missed for translation
    Redo badly worded strings
    Add lots of translator comments to help in unclear cases
  Fix BNC #440498 - registration problems
  Fix RH #467987 - size request of gpk-application
  Fix installing local files by only showing copy dialog for non native paths
  Fix the signature required window to be modal over the client dialog
  Fix RH #469966 - Dont use bullets when there is only one item in a list
* Mon Oct 27 2008 sreeves@suse.de
- Match PackageKit version - 0.3.9
    Check if the GUI programs are being used on local and active consoles
    Don't force large window sizes so we work on the eee and OLPC.
    Don't crash gpk-application if a package contains no files
    Don't show 'untitled window' when we review updates and then update them
* Mon Oct 13 2008 sreeves@suse.de
- Match PackageKit version - 0.3.7
    Fix the bug where GetUpdates is unconditionally run at startup.
    Watch for GConf keys to change so we can reassess actions based on policy
  Fix for BNC #422176 - non useful error notifications
* Wed Oct  8 2008 sreeves@suse.de
- Move to 0.3.6  Bug fix release
  (from the release news...)
    Allow double clicking on an application in the run dialog. Fixes fd#17845
    Set the window title if we go from being modal to non-modal
    Set an interaction mode for the client used in GpkDbus so we don't get a finished dialog
    Menu item tooltips should be phrased as imperative verbs
    Always force width to avoid the dialog width changing between phases
    Mark some more text translatable to fix fd#17899
    Fix segfault in gpk_package_id_name_version if id was null
* Mon Sep 29 2008 sreeves@suse.de
- Move to 0.3.5
    Match PackageKit version
    Finish support for hardware driver install - FATE #303677
* Tue Sep 23 2008 sreeves@suse.de
- Move to 0.3.4
    Match PackageKit version
    Start of support for hardware driver install - FATE #303677
* Fri Sep 12 2008 sreeves@suse.de
- Update to 0.3.2.
    Match PackageKit version
    only show firmware prompt if firmware is available.
* Sun Aug 31 2008 sreeves@suse.de
- Match PackageKit version change to 0.3.1
* Mon Aug 18 2008 sreeves@suse.de
- Match PackageKit version change to 0.3.0
* Thu Jul 31 2008 cthiel@suse.de
- really remove restart-gpk-update-icon.sh
* Tue Jul 29 2008 jpr@suse.de
- Remove %%post action and script, it is not needed for factory
* Fri Jul 18 2008 sreeves@suse.de
- Move to 0.2.3
    add support for installing catalogs
    rework the gpk-application gui
    Don't allow the GTK tools to be run as the root user
    Allow users to install and remove multiple packages using gpk-application
    Give the user a chance to update only the security updates.
* Fri Jun 27 2008 sreeves@suse.de
- More work for BNC#401057 - better loop handling
* Wed Jun 18 2008 sreeves@suse.de
- Fix for BNC#401057 - better loop handling
    swampid for this - 18244
* Fri Jun  6 2008 sreeves@suse.de
- Fix for BNC#390658 - don't show dialog again if they decline to run.
* Fri Jun  6 2008 sreeves@suse.de
- Update translations
    Includes initial translations for new dialog - BNC#390658
* Fri May 30 2008 sreeves@suse.de
- Fix for BNC#395445 - gpk-update-icon crash
  Fix for BNC#390658 - don't show piwo
* Sat May 24 2008 sreeves@suse.de
- Fix for BNC#392064 - weird notifications
* Tue May 13 2008 aj@suse.de
- Remove requires on scrollkeeper, we build with
  - -disable-scrollkeeper.
- Package lang files only once.
- Remove unneeded BuildRequires and Requires.
* Fri May  9 2008 sreeves@suse.de
- Move to official upstream 0.2.1 release
  Add in Fate #303359
  Fix for BNC#386472 - move "Software Updates" to CC
* Mon Apr 28 2008 sreeves@suse.de
-  Fix for BNC#378342
* Mon Apr 14 2008 sreeves@suse.de
- Make this package replace opensuse-updater-gnome - BNC #379564
* Mon Apr 14 2008 sreeves@suse.de
- Update to version 0.2.0
    Needed update to match the API change in PackageKit 0.2.0
* Fri Apr  4 2008 sreeves@suse.de
- Update to version 0.1.11
    Needed update to match the API change in PackageKit 0.1.11
* Thu Mar 27 2008 sreeves@suse.de
- Update to version 0.1.9.2
    Needed update to match the API change in PackageKit 0.1.9.2
    Improved interface in updater tool.
* Fri Mar 14 2008 sreeves@suse.de
- Update version to 0.1.9.1:
  * Include updates to work with API change of PackageKit
  * Add a new icons for a bugfix to make it more obvious
  * Remove the GtkTextView and replace with a GtkTreeView in p-u-v
  * Add checkboxes to the update viewer, but can't be changed yet
  * Display the history viewer as the transaction is progressing
* Thu Feb 28 2008 sreeves@suse.de
- Update to (git pull on 2/28) ~0.1.9
* Tue Dec 11 2007 sreeves@suse.de
- Add .desktop files to suse_update_desktop_file
  Add full path for .desktop file not /usr/share/applications
  Add descriptions to pdb database
* Mon Dec 10 2007 btimothy@suse.de
- Updated to version 0.1.5git20071210a.
* Mon Dec  3 2007 btimothy@suse.de
- Removed backend-status-crash.patch since it's now included
  upstream.
* Fri Nov 30 2007 btimothy@suse.de
- Update to version 0.1.5git20071130a.
* Wed Nov 21 2007 sreeves@suse.de
- Apply temp patch backend-status-crash.patch until fix gets
  applied upstream
* Tue Nov 20 2007 btimothy@suse.de
- Updated tar.bz2 with one from git a few minutes ago.
* Tue Nov 13 2007 btimothy@suse.de
- init
